Subject: [EAI] RFC5738bis (IMAP UTF8) review

From: Joseph Yee <[email-masked]>
Date: Thu, 7 Jul 2011 18:20:19 -0400

Hi,

I read the recent (-00) draft-ietf-eai-rfc5738bis.  Changes and suggestions below:

(1)
Header: add "Obsoletes: RFC5738 (if approved)"

(2)
Section 1, 1st paragraph, RFC5335/RFC5335bis referencing
It references "Internationalized Email Headers" to [RFC5335] now.  It should reference to RFC5335bis.  Normative References section needs update (RFC5335 --> RFC5335bis) as well.

(3)
Section 3.1, ABNF, minor improvement for readability

The term "utf8-quoted' was used through out Section 3.  Although it's meant for uQuoted defined in the previous ABNF subsection, it's not linked.

Suggestion: Add the following ABNF comment under uQuoted

	uQuoted       = "*" DQUOTE *uQUOTED-CHAR DQUOTE
				  ; referred as 'utf8-quote' in this document  <---- or something similar

(4)
Section 3.4.2 ABNF
	uList-select-independent-opt is neither defined nor referenced by other rules
	
	It should be 'list-select-independent-opt'.

(5)
Section 3.4.2 ABNF, minor improvement

	Since this part of ABNF references from 2 RFCs, I suggested to add comment of their sources for easier referencing.

	list-select-indenpendent-opt
	list-select-base-opt
	return-option
	;RFC 5258 Section 6

	mbx-list-oflag
	resp-text-code
	;RFC 3501 Section 9

(6)
Section 10, minor/nit edit

1st paragraph
original
	"This adds five new...."
suggestion
	"This document adds five new..."

2nd paragraph
original
	"This adds two new ..."
suggestion
	"This document adds two new...."

(7)
Normative Reference, ordering, very minor

All RFC references were sorted, except RFC5890

(8)
Appendix A, 5th paragraph, at the end
The text mentions up-conversion on POP3-UTF8 and references to RFC5721.  The reference needs to update to RFC5721bis in the text and in Informative References as well.

(9)
Reference of [popimap-downgrade] is Informative now.

Personal thought:  Similar to POP3 UTF8, should it be Normative references instead?

Thanks
Joseph